# sm3sum

sm3sum 是一个使用SM3哈希来检验文件完整性的工具。

其功能类似于 md5sum。

## 编译

```bash
make build
cd build
cmake ..
make
```

## 使用

```txt
Usage: sm3sum [OPTION] [FILE]
Calculate or check SM3 (256-bit) checksum of a file.

When [FILE] is -, read from standard input.
  -c, --check       check the provided SM3 checksum and the input FILE's checksum

      --help        display this help information
      --version     output version information

The SM3 sum is computed as described in GM/T 0004-2012.
```
