# sm3sum

sm3sum is used to verify the integrity of files using SM3 hash.

It is a md5sum-like tool.

## Compile

```bash
make build
cd build
cmake ..
make
```

## Usage

```txt
Usage: sm3sum [OPTION] [FILE]
Calculate or check SM3 (256-bit) checksum of a file.

When [FILE] is -, read from standard input.
  -c, --check       check the provided SM3 checksum and the input FILE's checksum

      --help        display this help information
      --version     output version information

The SM3 sum is computed as described in GM/T 0004-2012.
```
