#ifndef _SM3SUM_H_
#define _SM3SUM_H_

#include <stdlib.h>

#include "sm3.h"

#define VERSION "sm3sum 0.1"

#define PATH_LIMIT 1024	// adjust if needed

typedef struct
{
    char filename[PATH_LIMIT + 1];
    u4 expected_sm3[8];
    u4 calculated_sm3[8];
} sm3_file_ctx;

int		check_file_hash	(sm3_file_ctx * fileCTX);
void	calc_file_hash	(sm3_file_ctx * fileCTX);
void	print_file_sm3	(sm3_file_ctx * ctx);
void    sm3str_to_int   (char * sm3_str, u4 * ret);
#endif